# requests.list

List personal action requests, by default your open tasks. With mine false, list visible requests you sent or finance-visible requests for one record.

`GET | POST /api/v1/accounting/requests.list`

Permissions: `accounting:read` · Roles: admin, finance, contributor

MCP tool: `accounting_requests_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `id` | string (ID) |  | The record's ID. |
| `mine` | boolean |  | Default `true`. |
| `status` | enum |  | Only include records with this status. One of: `open`, `done`, `cancelled`, `all`. Default `"open"`. |
| `subjectType` | enum |  | The kind of record this is about, such as entry, invoice or mail. One of: `entry`, `submission`, `mail`, `statement`, `contractor`, `timesheet`, `compliance_item`, `intake_item`. |
| `subjectId` | string (ID) |  | The ID of the record this is about. |
| `limit` | integer |  | How many results to return at most. 1 to 200. Default `50`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 100000. Default `0`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/requests.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/requests.list
